Input box styling regression from 30e06bddc097

RESOLVED FIXED in 0.3b1

Status

--
minor
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: clokep, Assigned: Mic)

Tracking

trunk
0.3b1
x86
Windows 7

Details

Attachments

(1 attachment, 2 obsolete attachments)

(Reporter)

Description

5 years ago
*** Original post on bio 616 at 2010-12-09 23:20:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
(Reporter)

Comment 1

5 years ago
Created attachment 8352156 [details]
Screenshot of the problem

*** Original post on bio 616 as attmnt 413 at 2010-12-09 23:20:00 UTC ***

I don't know why exactly, but checking my theme files I found:
> .textbox-input-box {
>   background: inherit;
> }
in \omni.jar\chrome\instantbird\skin\classic\aero\instantbird\conversation.css, these lines are not in in \omni.jar\chrome\instantbird\skin\classic\instantbird\conversation.css

This is a regression from http://hg.instantbird.org/instantbird/rev/30e06bddc097 (as far as I can tell).

I would guess this effects Vista & 7, confirmation would be good.
(Reporter)

Comment 2

5 years ago
Created attachment 8352157 [details]
Screenshot of the problem

*** Original post on bio 616 as attmnt 414 at 2010-12-09 23:27:00 UTC ***

The image seems to have been corrupted, reuploading.
(Reporter)

Comment 3

5 years ago
Comment on attachment 8352156 [details]
Screenshot of the problem

*** Original change on bio 616 attmnt 413 at 2010-12-09 23:27:45 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352156 - Attachment is obsolete: true
(Reporter)

Comment 4

5 years ago
*** Original post on bio 616 at 2010-12-09 23:51:51 UTC ***

Mic pointed out to me on IRC that this is actually in both files (aero and non-aero. zachlr doesn't seem to be having this problem on Vista using aero.

I think I might have misread something in: http://log.bezut.info/instantbird/101203/#m349 but regardless it's a bug.
(Reporter)

Comment 5

5 years ago
*** Original post on bio 616 at 2010-12-13 01:15:29 UTC ***

I've verified that this is definitely a regression from this patch.  It seems that applying background:inherit, it forces the textfield appearance off of it so it loses ALL native appearance styling.  We just want to change the background.  I've tried doing this before and had some trouble.  I'm not sure if there's a good answer or not.
Status: UNCONFIRMED → NEW
Ever confirmed: true

Comment 6

5 years ago
*** Original post on bio 616 by Albin Jacobsson [:Sertion] <albin.jacobsson AT gmail.com> at 2011-02-22 23:57:22 UTC ***

This part (http://www.w3.org/TR/CSS21/ui.html#system-colors) of the CSS 2.1 spec might be of interest. I can not confirm this bug in IB 0.2 running on Windows 7 with or without Aero. Is it still a problem?
(Reporter)

Comment 7

5 years ago
*** Original post on bio 616 at 2011-02-23 00:13:17 UTC ***

(In reply to comment #4)
> I can not confirm this bug in IB 0.2 running on
> Windows 7 with or without Aero. Is it still a problem?

Only an issue on trunk (nightly) builds. :) But yes.

Comment 8

5 years ago
Created attachment 8352276 [details]
Another, related, problem

*** Original post on bio 616 as attmnt 535 by albin.jacobsson AT gmail.com at 2011-02-23 23:08:00 UTC ***

I tried adding "-moz-appearance: textfield;" to the selector mentioned in comment #0 and it works fine in Win7 with aero, but produces this with the "windows classic" theme.
(Reporter)

Comment 9

5 years ago
*** Original post on bio 616 at 2011-02-24 18:48:14 UTC ***

(In reply to comment #6)
> Created an attachment (id=535) [details]
> Another, related, problem
> I tried adding "-moz-appearance: textfield;" to the selector mentioned in
> comment #0 and it works fine in Win7 with aero, but produces this with the
> "windows classic" theme.

I'll try this tonight, but I think when I do this the extension that that change was made for stops working.
*** Original post on bio 616 at 2011-02-24 23:14:52 UTC ***

(In reply to comment #6)
> Created an attachment (id=535) [details]
> Another, related, problem
> 
> I tried adding "-moz-appearance: textfield;" to the selector mentioned in
> comment #0 and it works fine in Win7 with aero, but produces this with the
> "windows classic" theme.

I think what you see here is the expected result for this code.

The textbox-input-box class is on an HTML textarea element which is inside the XUL textbox element which already has -moz-appearance: textfield.
Comment on attachment 8352276 [details]
Another, related, problem

*** Original change on bio 616 attmnt 535 at 2011-05-31 12:27:00 UTC ***

This is the expected behavior of the code you tried.

-moz-appearance: textfield; should be on the textbox, not on the HTML input element inside it.
Attachment #8352276 - Attachment is obsolete: true
(Reporter)

Comment 12

5 years ago
*** Original post on bio 616 at 2011-06-01 16:41:19 UTC ***

Fixed as part of bug 954056 (bio 620), check in: https://hg.instantbird.org/instantbird/rev/97a9f46c57db

Also see bug 954252 (bio 818) (regression from bug 954056 (bio 620)).
Assignee: nobody → benediktp
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Target Milestone: --- → 0.3b1
You need to log in before you can comment on or make changes to this bug.